import numpy报错

在import numpy以及import tensorflow中报错如下

 ** On entry to DGEBAL parameter number  3 had an illegal value
 ** On entry to DGEHRD  parameter number  2 had an illegal value
 ** On entry to DORGHR DORGQR parameter number  2 had an illegal value
 ** On entry to DHSEQR parameter number  4 had an illegal value
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:UsersAnaconda3envstensorflowlibsite-packagesnumpy__init__.py", line 308, in <module>
    _win_os_check()
  File "C:UsersAnaconda3envstensorflowlibsite-packagesnumpy__init__.py", line 305, in _win_os_check
    raise RuntimeError(msg.format(__file__)) from None
RuntimeError: The current Numpy installation ('C:\Users\Anaconda3\envs\tensorflow\lib\site-packages\numpy\__init__.py') fails to pass a sanity check due to a bug in the windows runtime. See this issue for more information: https://tinyurl.com/y3dm3h86

报错的地方关键就是这一句

RuntimeError: The current Numpy installation ('C:\Users\Anaconda3\envs\tensorflow\lib\site-packages\numpy\__init__.py') fails to pass a sanity check due to a bug in the windows runtime.

先定位到报错的文件是

C:\Users\Anaconda3\envs\tensorflow\lib\site-packages\numpy\__init__.py

根据RuntimeError定位到文件报错的地方

try:
    a = arange(13 * 13, dtype= float64).reshape(13, 13)
    a = a % 17  # calls fmod
    linalg.eig(a)
except Exception:
    msg = ("The current Numpy installation ({!r}) fails to "
           "pass a sanity check due to a bug in the windows runtime. "
           "See this issue for more information: "
           "https://tinyurl.com/y3dm3h86")
    raise RuntimeError(msg.format(__file__)) from None

明显,a%17报错,所以把该句注释掉,之后就正常操作了

匿名

发表评论

匿名网友